diff_object.hpp File Reference
`#include <cassert>`
`#include <osmium/fwd.hpp>`
`#include <osmium/osm/item_type.hpp>`
`#include <osmium/osm/object.hpp>`
`#include <osmium/osm/timestamp.hpp>`
`#include <osmium/osm/types.hpp>`
Include dependency graph for diff_object.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::DiffObject
class | osmium::DiffObjectDerived< T >

## Namespaces

| osmium
| Namespace for everything in the Osmium library.

## Typedefs

using | osmium::DiffNode = DiffObjectDerived< osmium::Node >
using | osmium::DiffWay = DiffObjectDerived< osmium::Way >
using | osmium::DiffRelation = DiffObjectDerived< osmium::Relation >